Package org.eclipse.core.expressions

## Class ElementHandler

- java.lang.Object
- - org.eclipse.core.expressions.ElementHandler

    public abstract class ElementHandler
    extends Object

An element handler converts an `IConfigurationElement` into a corresponding expression object.

The class should be subclassed by clients wishing to provide an element handler for special expressions.

Since:
  3.0

### Constructor Summary

Constructors
`ElementHandler()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract Expression` `create​(ExpressionConverter converter, IConfigurationElement config)` Creates the corresponding expression for the given configuration element.
`Expression` `create​(ExpressionConverter converter, Element element)` Creates the corresponding expression for the given DOM element.
`static ElementHandler` `getDefault()` The default element handler which can cope with all XML expression elements defined by the common expression language.
`protected void` `processChildren​(ExpressionConverter converter, IConfigurationElement element, org.eclipse.core.internal.expressions.CompositeExpression expression)` Converts the children of the given configuration element and adds them to the given composite expression.
`protected void` `processChildren​(ExpressionConverter converter, Element element, org.eclipse.core.internal.expressions.CompositeExpression expression)` Converts the children of the given DOM element and adds them to the given composite expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementHandler

    public ElementHandler()

### Method Detail

#### getDefault

    public static ElementHandler getDefault()

The default element handler which can cope with all XML expression elements defined by the common expression language.

Returns:
  the default element handler

#### create

    public abstract Expression create​(ExpressionConverter converter,
                                      IConfigurationElement config)
                               throws CoreException

Creates the corresponding expression for the given configuration element.

Parameters:
  `converter` - the expression converter used to initiate the conversion process
  `config` - the configuration element to convert
Returns:
  the corresponding expression
Throws:
  `CoreException` - if the conversion failed

#### create

    public Expression create​(ExpressionConverter converter,
                             Element element)
                      throws CoreException

Creates the corresponding expression for the given DOM element. This is an optional operation that is only required if the handler supports conversion of DOM elements.

Parameters:
  `converter` - the expression converter used to initiate the conversion process
  `element` - the DOM element to convert
Returns:
  the corresponding expression
Throws:
  `CoreException` - if the conversion failed
Since:
  3.3

#### processChildren

    protected void processChildren​(ExpressionConverter converter,
                                   IConfigurationElement element,
                                   org.eclipse.core.internal.expressions.CompositeExpression expression)
                            throws CoreException

Converts the children of the given configuration element and adds them to the given composite expression.

Note this is an internal method and should not be called by clients.

Parameters:
  `converter` - the converter used to do the actual conversion
  `element` - the configuration element for which the children are to be processed
  `expression` - the composite expression representing the result of the conversion
Throws:
  `CoreException` - if the conversion failed
Restriction:
  This method is not intended to be referenced by clients.
Restriction:
  This method is not intended to be re-implemented or extended by clients.

#### processChildren

    protected void processChildren​(ExpressionConverter converter,
                                   Element element,
                                   org.eclipse.core.internal.expressions.CompositeExpression expression)
                            throws CoreException

Converts the children of the given DOM element and adds them to the given composite expression.

Note this is an internal method and should not be called by clients.

Parameters:
  `converter` - the converter used to do the actual conversion
  `element` - the DOM element for which the children are to be processed
  `expression` - the composite expression representing the result of the conversion
Throws:
  `CoreException` - if the conversion failed
Since:
  3.3
Restriction:
  This method is not intended to be referenced by clients.
Restriction:
  This method is not intended to be re-implemented or extended by clients.